#2536 closed defect (fixed)

RSB allows use of insecure hash algorithms like MD5 and SHA1

Reported by: Sebastian Huber Owned by: Chris Johns <chrisj@…>
Priority: normal Milestone: 5.1
Component: tool/rsb Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Support for these hashes should be removed. Hashes should be mandatory.

Change History (4)

comment:1 in reply to:  description Changed on Jan 19, 2016 at 11:04:04 PM by Chris Johns

Replying to sebastian.huber:

Support for these hashes should be removed.

Ok.

Hashes should be mandatory.

I had left it optional as we move to adding them. They can be mandatory now.

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Oct 12, 2017 at 2:52:09 AM by Chris Johns <chrisj@…>

Owner: set to Chris Johns <chrisj@…>
Resolution: fixed
Status: newclosed

In d94bd01/rtems-source-builder:

4.12: Update all MD5 hashes to SHA256.

Closes #2536.

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.